# Interface methods for submodule: GradientRecursiveGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: GradientRecursiveGaussianImageFilter
class GradientRecursiveGaussianImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSigmaArray(self, sigma: Sequence[float]) -> None:
		""""""
		...

	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def GetSigmaArray(self) -> Sequence[float]:
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def SetNormalizeAcrossScale(self, normalize: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def SetUseImageDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageDirection(self) -> bool:
		""""""
		...

	def UseImageDirectionOn(self) -> None:
		""""""
		...

	def UseImageDirectionOff(self) -> None:
		""""""
		...

